//------------------------------------------------------
#include <Servo.h>   //dołączenie biblioteki do obsługi serw
Servo servox;       //tworzymy obiekt kontrolujacy serwo 1
Servo servoy;       //tworzymy obiekt kontrolujacy serwo 2

//------------------------------------------------------
int servox_pin = 8;  //sterowanie serwa 1 na wyprowadzeniu 8
int servoy_pin = 9;  //sterowanie serwa 2 na wyprowadzeniu 9
int joyx_pin = 0;    //sygnał z osi x joysticka na wyprowadzeniu 0
int joyy_pin = 1;    //sygnał z osi y joysticka na wyprowadzeniu 1

//------------------------------------------------------
int analog_x;        //wychylenie osi x
int analog_y;        //wychylenie osi y
int degree_x;        //położenie serwa osi x
int degree_y;        //położenie serwa osi y


//----------------------------------------------------------
void setup()
{
  servox.attach(servox_pin);  //serwo x przypisane do wyprowadzenia 8
  servoy.attach(servoy_pin);  //serwo y przypisane do wyprowadzenia 9

  degree_x = 90;    //położenie początkowe serva osi x  
  degree_y = 90;    //położenie początkowe serva osi y  
}

//----------------------------------------------------------
void loop()
{
  //odczyt położenia joystika,
  //odczyt wartosci analogowych
  analog_x = analogRead(joyx_pin);     
  analog_y = analogRead(joyy_pin);

  //przeskalowanie wartosci analogowych
  //na wartość kąta odchylenia serwomechanizmów
  degree_x = map(analog_x, 0, 1023, 0, 180);  
  degree_y = map(analog_y, 0, 1023, 0, 180);  

  //ustawienie serwomechanizmów
  servox.write(degree_x);
  servoy.write(degree_y);

  //przerwa
  delay(15);
}
  
